Skip to main content
GET
/
agents
/
{agentId}
Get agent
curl --request GET \
  --url https://api.agentic.scope3.com/api/v2/partner/agents/{agentId} \
  --header 'Authorization: Bearer <token>'
{
  "agentId": "<string>",
  "type": "SALES",
  "name": "<string>",
  "endpointUrl": "<string>",
  "protocol": "MCP",
  "authenticationType": "API_KEY",
  "accountPolicy": [
    "advertiser_account"
  ],
  "status": "PENDING",
  "relationship": "SELF",
  "customerId": 0,
  "customerAccountCount": 0,
  "hasCustomerAccount": true,
  "hasMasterAccount": true,
  "createdAt": "2023-11-07T05:31:56Z",
  "updatedAt": "2023-11-07T05:31:56Z",
  "description": "<string>",
  "reportingType": "WEBHOOK",
  "reportingPollingCadence": "DAILY",
  "customerAccount": {
    "id": "<string>",
    "accountIdentifier": "<string>",
    "status": "<string>",
    "registeredBy": "<string>",
    "createdAt": "2023-11-07T05:31:56Z"
  },
  "oauth": {
    "authorizationUrl": "<string>",
    "agentId": "<string>",
    "agentName": "<string>"
  }
}

Authorizations

Authorization
string
header
required

API key or access token

Path Parameters

agentId
string
required

Agent ID

Minimum string length: 1

Response

Get agent

Detailed agent info including account data

agentId
string
required

Unique agent identifier

type
enum<string>
required

Agent type: SALES = sales/media agent, SIGNAL = signal/data agent, CREATIVE = creative agent, OUTCOME = outcome measurement agent

Available options:
SALES,
SIGNAL,
CREATIVE,
OUTCOME
name
string
required

Agent display name

endpointUrl
string
required

Agent endpoint URL (empty string for COMING_SOON agents)

protocol
enum<string>
required

Agent protocol

Available options:
MCP,
A2A
authenticationType
enum<string>
required

Authentication method

Available options:
API_KEY,
NO_AUTH,
JWT,
OAUTH
accountPolicy
enum<string>[] | null
required

Allowed account types

Available options:
advertiser_account,
marketplace_account
status
enum<string>
required

Agent status. COMING_SOON is returned for PENDING agents not owned by the caller.

Available options:
PENDING,
ACTIVE,
DISABLED,
COMING_SOON
relationship
enum<string>
required

Relationship: SELF = owned by you, MARKETPLACE = all other marketplace agents

Available options:
SELF,
MARKETPLACE
customerId
integer
required

Owner customer ID

Required range: -9007199254740991 <= x <= 9007199254740991
customerAccountCount
integer
required

Number of customer accounts for this agent

Required range: -9007199254740991 <= x <= 9007199254740991
hasCustomerAccount
boolean
required

Whether the caller has an account for this agent

hasMasterAccount
boolean
required

Whether a marketplace account exists for this agent

createdAt
string<date-time>
required

When the agent was created (ISO 8601)

updatedAt
string<date-time>
required

When the agent was last updated (ISO 8601)

description
string | null

Agent description

reportingType
enum<string> | null

Reporting type

Available options:
WEBHOOK,
BUCKET,
POLLING
reportingPollingCadence
enum<string> | null

Polling cadence (when reportingType is POLLING)

Available options:
DAILY,
MONTHLY
customerAccount
object

Caller's account details, if any

oauth
object

Present for owner PENDING OAUTH agents without tokens